%global momorel 10
%global md5sum_src0 cfb9e05c138dff4c430a35eee6229e8a

Summary: multicast dns network service discovery library
Name: avahi
Version: 0.6.10
Release: %{momorel}m
URL: http://www.avahi.org/
%NoSource 0 http://avahi.org/download/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-dnsconfd.patch
Patch1: %{name}-%{version}-pythondir.patch
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig, shadow-utils
BuildPreReq: glib-devel, qt-devel, gtk+-devel, libglade-devel, dbus-devel
BuildPreReq: libdaemon-devel, expat-devel, gdbm-devel, python, pygtk, mono-devel, monodoc
BuildPreReq: desktop-file-utils
Obsoletes: avahi-python

%description 
Avahi is a system which facilitates service discovery on a local
network. This means that you can plug your laptop or computer into a
network and instantly be able to view other people who you can chat
with, find printers to print to or find files being shared. This kind
of technology is already found in MacOS X (branded 'Rendezvous',
'Bonjour' and sometimes 'Zeroconf') and is very convenient. Avahi is
mainly based on Lennart Poettering's flexmdns mDNS implementation for
Linux which has been discontinued in favour of Avahi.
#'

#%%package python
#Summary: avahi for python support
#Group: Development/Libraries
#Requires: %%{name} = %%{version}-%%{release}
#
#%%description python
#avahi for python support

%package devel
Summary: Libraries and header files for avahi development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.

%package mono
Summary: avahi for mono support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description mono
avahi for mono support

%package glib
Summary: avahi for glib support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description glib
avahi for glibsupport

%package glib-devel
Summary: Libraries and header files for avahi-glib development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib = %{version}-%{release}

%description glib-devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.

%package qt3
Summary: avahi for qt3 support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description qt3
avahi for qt3 support

%package qt3-devel
Summary: Libraries and header files for avahi-qt3 development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt3 = %{version}-%{release}

%description qt3-devel
The avahi-qt3-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt3.

%prep
%setup -q

%patch -p1 -b .fix_dnscond
%if %{_lib}=="lib64"
%patch1 -p1 -b .pythondir
%endif

%build
%configure \
    --disable-qt4 \
    --with-avahi-user=avahi \
    --with-avahi-group=avahi \
    --enable-compat-libdns_sd \
    --enable-compat-howl

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# create /var/run/avahi-daemon to ensure correct selinux policy for it:
mkdir -p %{buildroot}%{_localstatedir}/run/avahi-daemon

# Make /etc/avahi/etc/localtime owned by avahi:
mkdir -p %{buildroot}%{_sysconfdir}/avahi/etc
touch %{buildroot}%{_sysconfdir}/avahi/etc/localtime

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category GNOME \
  --remove-category Utility \
  %{buildroot}%{_datadir}/applications/avahi-discover.desktop

%clean
rm -rf --preserve-root %{buildroot}

%pre
%define avahi_user_uid 70

/usr/sbin/groupadd -g %{avahi_user_uid} -r avahi 2> /dev/null || :
/usr/sbin/useradd -r -u %{avahi_user_uid} -s /sbin/nologin -c "Avahi daemon" -d / -g avahi avahi 2> /dev/null || :

%post
/sbin/ldconfig
# Run avahi-daemon by default:
/sbin/chkconfig --add avahi-daemon >/dev/null 2>&1 || :;
# avahi-dnsconfd NOT run by default in any runlevel; add it
# so system-config-services can see it
/sbin/chkconfig --add avahi-dnsconfd >/dev/null 2>&1 || :;
if [ "$1" -eq 1 ]; then
#  We should realy make dbus reload the system.d config here. Dunno how though.
#  kill -HUP `cat /var/run/messagebus.pid` ? 
   if [ -s /etc/localtime ]; then
	cp -fp /etc/localtime /etc/avahi/etc/localtime || :;
   fi;
fi;

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
   /sbin/service avahi-daemon condrestart >/dev/null 2>&1
   /sbin/service avahi-dnsconfd condrestart >/dev/null 2>&1
fi

%preun
if [ "$1" -eq "0" ]; then
    /sbin/service avahi-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del avahi-daemon
    /sbin/service avahi-dnsconfd stop >/dev/null 2>&1
    /sbin/chkconfig --del avahi-dnsconfd
fi

%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%post qt3 -p /sbin/ldconfig

%postun qt3 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%dir %{_sysconfdir}/avahi
%config %{_sysconfdir}/avahi/avahi-daemon.conf
%config %{_sysconfdir}/avahi/avahi-dnsconfd.action
%dir %{_sysconfdir}/avahi/etc
%ghost %{_sysconfdir}/avahi/etc/localtime
%{_sysconfdir}/avahi/hosts
%dir %{_sysconfdir}/avahi/services
%{_sysconfdir}/avahi/services/ssh.service
%{_sysconfdir}/dbus-1/system.d/avahi-dbus.conf
%{_sysconfdir}/init.d/avahi-daemon
%{_sysconfdir}/init.d/avahi-dnsconfd
%{_bindir}/avahi-*
%{_sbindir}/avahi-daemon
%{_sbindir}/avahi-dnsconfd
%{_datadir}/applications/avahi-discover.desktop
%{_datadir}/avahi
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(0750,avahi,avahi) %dir %{_localstatedir}/run/avahi-daemon

%{_libdir}/libavahi-client.so.*
%{_libdir}/libavahi-common.so.*
%{_libdir}/libavahi-core.so.*
%{_libdir}/libdns_sd.so.*
%{_libdir}/libhowl.so.*

#%%files python
#%%defattr(-,root,root)
%{_libdir}/python2.4/site-packages/avahi/*

%files devel
%defattr(-,root,root)
%{_includedir}/avahi-client/*.h
%{_includedir}/avahi-common/*.h
%{_includedir}/avahi-compat-howl/corby/*.h
%{_includedir}/avahi-compat-howl/discovery/*.h
%{_includedir}/avahi-compat-howl/*.h
%{_includedir}/avahi-compat-howl/rendezvous/*.h
%{_includedir}/avahi-compat-howl/salt/*.h
%{_includedir}/avahi-compat-libdns_sd/*.h
%{_includedir}/avahi-core/*.h

%{_libdir}/libavahi-client.so
%{_libdir}/libavahi-client.*a
%{_libdir}/libavahi-common.so
%{_libdir}/libavahi-common.*a
%{_libdir}/libavahi-core.so
%{_libdir}/libavahi-core.*a
%{_libdir}/libdns_sd.so
%{_libdir}/libdns_sd.*a
%{_libdir}/libhowl.so
%{_libdir}/libhowl.*a

%{_libdir}/pkgconfig/avahi-client.pc
%{_libdir}/pkgconfig/avahi-compat-howl.pc
%{_libdir}/pkgconfig/avahi-compat-libdns_sd.pc
%{_libdir}/pkgconfig/avahi-core.pc

%files mono
%defattr(-,root,root)
%{_libdir}/mono/gac/avahi-sharp
%{_libdir}/mono/avahi-sharp/avahi-sharp.dll
%{_libdir}/monodoc/sources/avahi-sharp-docs.*
%{_libdir}/pkgconfig/avahi-sharp.pc

%files glib
%defattr(-,root,root)
%{_libdir}/libavahi-glib.so.*

%files glib-devel
%defattr(-,root,root)
%{_libdir}/libavahi-glib.so
%{_libdir}/libavahi-glib.*a
%{_includedir}/avahi-glib
%{_libdir}/pkgconfig/avahi-glib.pc

%files qt3
%defattr(-,root,root)
%{_libdir}/libavahi-qt3.so.*

%files qt3-devel
%defattr(-,root,root)
%{_libdir}/libavahi-qt3.so
%{_libdir}/libavahi-qt3.*a
%{_includedir}/avahi-qt3
%{_libdir}/pkgconfig/avahi-qt3.pc

%changelog
* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.10-10m)
- revised for multilibarch

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-9m)
- avahi-python was bandled in avahi

* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-8m)
- remove GNOME and Utility from Categories of avahi-discover.desktop

* Tue Jun  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-7m)
- PreReq: chkconfig, shadow-utils

* Sat Jun 03 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.10-6m)
- add pythondir patch for lib64

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-5m)
- avahi-glib-devel and avahi-qt3-devel Requires: avahi-devel

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-4m)
- revise /etc/init.d/avahi-dnsconfd
- revise %%preun

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.10-3m)
- add %%pre and modify %%post
- modify %%install and %%files

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-2m)
- sepaleted package 
-- glib glib-devel qt3 qt3-devel

* Sun May  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-1m)
- update to 0.6.10
-- start mono support
-- avahi-python is now a separeted package.

* Fri Feb 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-1m)
- update to 0.6.6 
-- This release fixes some bugs and includes some documentation updates

* Tue Jan 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- Start
